define(function(require) { return function($) {
	  require('./jquery.validate.js')($);
	  require('./jquery.validator.messages.js')($);
	  require('../core/jquery.ui.button.js')($);
	  require('../metadata/jquery.metadata.js')($);
	  $.extend($.validator.defaults, {
		    errorElement: "em",
			success: function(label) {
				$(label).html("&nbsp;").addClass("success");
			},
			highlight: function(input) {
				$(input).addClass("ui-state-highlight");
			},
			unhighlight: function(input) {
				$(input).removeClass("ui-state-highlight");
			}
	    });
	  $.extend($.validator.methods, {
			regex: function(value, element, param) {
				return param.test(value);
			}
		});
//		$.extend($.validator.messages, {
//			regex: '格式错误'
//		});
}});